Name:           blahtexml
Version:        0.9
Release:        7%{?dist}
Summary:        TeX / MathML converter

Group:          Applications/Publishing
License:        BSD
URL:            http://gva.noekeon.org/blahtexml/
Source0:        http://gva.noekeon.org/blahtexml/blahtexml-%{version}-src.tar.gz
Patch0:         blahtexml-gcc47.patch

BuildRequires:  xerces-c-devel
BuildRequires:  gcc-c++

%description
Blahtex is a program written in C++, which converts an equation given in a
syntax close to TeX into MathML. It is designed by David Harvey and is aimed
at supporting equations in MediaWiki.
Blahtexml is a simple extension of blahtex. In addition to the functionality
of blahtex, blahtexml has XML processing in mind and is able to process a
whole XML document into another XML document. Instead of converting only one
formula at a time, blahtexml can convert all the formulas of the given XML
file into MathML.


%prep
%setup -q
%patch0 -p1 -b .gcc47


%build
make %{?_smp_mflags} blahtexml-linux CFLAGS="%{optflags}"


%install
install -p -D -m0755 blahtexml $RPM_BUILD_ROOT%{_bindir}/blahtexml


%files
%defattr(-,root,root,-)
#%doc README example1.xml example2.xml example3.xml example4.xml manual.tex
%doc README Documentation/*
%{_bindir}/blahtexml




%changelog
* Thu Sep 13 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 0.9-7
- BuildRequire gcc-c++ for F29

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May  2 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.9-1
- Update to 0.9

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 10 2011 Kalev Lember <kalev@smartlink.ee> - 0.8-3
- Rebuilt with xerces-c 3.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Mar 09 2010 Jasper Capel <jasper@fedora-project.org> - 0.8-1
- Version bump

* Sun Feb 21 2010 Jasper Capel <jasper@fedora-project.org> - 0.7-1
- Version bump
- Changed license to BSD to reflect upstream license change

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Jasper Capel <jasper@fedoraproject.org> - 0.6-4
- Changes for review, by Michael Schwendt's suggestions: preserve timestamps
  when installing, use global compiler flags, dropped xerces-c dependency, in
  favour of automatic dependency generation.
* Wed Feb 25 2009 Jasper Capel <jasper@fedoraproject.org> - 0.6-3
- Added parallel build make flags, as Jon Levell suggested.
* Mon Feb 23 2009 Jasper Capel <jasper@fedoraproject.org> - 0.6-2
- Corrected Source0, Description and BuildRequires as Jeroen van Meeuwen suggested.
* Fri Feb 20 2009 Jasper Capel <jasper@fedoraproject.org> - 0.6-1
- Initial build
